## nvidia-bl-dkms 0.17.3~maverick

=== Makefile ===
NAME	= nvidia_bl
VERSION=0.17.3
SRC	= usr/src

TARBALL	= $(NAME)-$(VERSION).dkms.tar.gz

all:	$(SRC)/$(TARBALL)

$(SRC)/$(TARBALL): $(SRC)/dkms_source_tree/$(NAME).c
	(cd $(SRC); tar cvfz $(TARBALL) dkms*)

clean:
	$(RM) $(SRC)/$(TARBALL)

distclean: clean
	$(RM) -r *-stamp debian/$(NAME)-dkms debian/*.log debian/files

install: $(SRC)/$(TARBALL)
	install -d $(DESTDIR)/$(SRC)
	install -m 644 $(SRC)/$(NAME)-$(VERSION).dkms.tar.gz $(DESTDIR)/$(SRC)
	install -d $(DESTDIR)/etc/modprobe.d
	install -m 644 etc/modprobe.d/nvidia-bl-dkms.conf $(DESTDIR)/etc/modprobe.d

=== usr/src/dkms_source_tree/Makefile ===
obj-m := nvidia_bl.o

=== debian/changelog ===
nvidia-bl-dkms (0.17.3~maverick) maverick; urgency=low

  * Diagnostics script update

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Wed, 10 Nov 2010 10:45:18 +0100

nvidia-bl-dkms (0.17.3~lucid) lucid; urgency=low

  * Diagnostics script update

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Wed, 10 Nov 2010 10:45:18 +0100

nvidia-bl-dkms (0.17.2~maverick) maverick; urgency=low

  * Diagnostics script

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Wed, 10 Nov 2010 09:37:17 +0100

nvidia-bl-dkms (0.17.2~lucid) lucid; urgency=low

  * Diagnostics script

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Wed, 10 Nov 2010 09:37:17 +0100

nvidia-bl-dkms (0.17.1~maverick) maverick; urgency=low

  * Added MacBook Air 3,1 & 3,2 as well as their Nvidia devices

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Thu, 04 Nov 2010 16:05:35 +0100

nvidia-bl-dkms (0.17.1~lucid) lucid; urgency=low

  * Added MacBook Air 3,1 & 3,2 as well as their Nvidia devices

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Thu, 04 Nov 2010 16:05:35 +0100

nvidia-bl-dkms (0.17~maverick) maverick; urgency=low

  * New device table
  * Removed code to compile against very old kernels

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Sun, 10 Oct 2010 18:41:00 +0200

nvidia-bl-dkms (0.17~lucid) lucid; urgency=low

  * New device table
  * Removed code to compile against very old kernels

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Sun, 10 Oct 2010 18:41:00 +0200

nvidia-bl-dkms (0.16.10~lucid) lucid; urgency=low

  * Added MacBook 7,1 and MacBook Pro 7,1
  * Max brightness fix for Sony VPCCW27FX

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 22 Jun 2010 22:54:49 +0200

nvidia-bl-dkms (0.16.10~karmic) karmic; urgency=low

  * Added MacBook 7,1 and MacBook Pro 7,1
  * Max brightness fix for Sony VPCCW27FX

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 22 Jun 2010 22:54:49 +0200

nvidia-bl-dkms (0.16.9~lucid) lucid; urgency=low

  * Added new devices
  * Added autoloading for Dell Vostro 3500
  * Added autoloading for Toshiba Satellite Pro U500

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Thu, 20 May 2010 22:02:11 +0200

nvidia-bl-dkms (0.16.9~karmic) karmic; urgency=low

  * Added new devices
  * Added autoloading for Dell Vostro 3500
  * Added autoloading for Toshiba Satellite Pro U500

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Thu, 20 May 2010 22:02:11 +0200

nvidia-bl-dkms (0.16.8~lucid) lucid; urgency=low

  * Fixed missing comma
  * Added Toshiba to list of supported subvendors.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 11 May 2010 17:41:59 +0200

nvidia-bl-dkms (0.16.8~karmic) karmic; urgency=low

  * Fixed missing comma
  * Added Toshiba to list of supported subvendors.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 11 May 2010 17:41:59 +0200

nvidia-bl-dkms (0.16.7~lucid) lucid; urgency=low

  [ Mario Schwalbe ]
  * output initial state if in debug mode
  * lucid upload

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Mon, 12 Apr 2010 18:56:40 +0200

nvidia-bl-dkms (0.16.7~karmic) karmic; urgency=low

  [ Mario Schwalbe ]
  * output initial state if in debug mode

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Thu, 08 Apr 2010 18:56:40 +0200

nvidia-bl-dkms (0.16.7~jaunty) jaunty; urgency=low

  [ Mario Schwalbe ]
  * output initial state if in debug mode

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Thu, 08 Apr 2010 18:56:40 +0200

nvidia-bl-dkms (0.16.6~karmic) karmic; urgency=low

  [ Mario Schwalbe ]
  * Fixed a bug requiring a feature not present in older kernels.
  * Check kernel version to compile against Linux 2.6.34.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Wed, 31 Mar 2010 20:14:59 +0200

nvidia-bl-dkms (0.16.6~jaunty) jaunty; urgency=low

  [ Mario Schwalbe ]
  * Fixed a bug requiring a feature not present in older kernels.
  * Check kernel version to compile against Linux 2.6.34.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Wed, 31 Mar 2010 20:14:59 +0200

nvidia-bl-dkms (0.16.5~karmic) karmic; urgency=low

  [ Mario Schwalbe ]
  * Always set brightness to maximum upon load to work around
    buggy hardware (Sony) that seems to report wrong values.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 23 Mar 2010 13:03:07 +0100

nvidia-bl-dkms (0.16.5~jaunty) jaunty; urgency=low

  [ Mario Schwalbe ]
  * Always set brightness to maximum upon load to work around
    buggy hardware (Sony) that seems to report wrong values.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 23 Mar 2010 13:03:07 +0100

nvidia-bl-dkms (0.16.4~karmic) karmic; urgency=low

  [ Mario Schwalbe ]
  * Re-added the code to mask the register while reading
    the brightness instead of reporting maximum.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 16 Mar 2010 14:52:13 +0100

nvidia-bl-dkms (0.16.4~jaunty) jaunty; urgency=low

  [ Mario Schwalbe ]
  * Re-added the code to mask the register while reading
    the brightness instead of reporting maximum.

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Tue, 16 Mar 2010 14:52:13 +0100

nvidia-bl-dkms (0.16.3~karmic) karmic; urgency=low

  [ Mario Schwalbe ]
  * Clobber unaffected registers while updating thew brightness:
    Fixes a bug that caused the driver to not work anymore
    on certain models including the MacBookPro 5,* (LP: #538326)

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Mon, 15 Mar 2010 22:24:39 +0100

nvidia-bl-dkms (0.16.3~jaunty) jaunty; urgency=low

  [ Mario Schwalbe ]
  * Clobber unaffected registers while updating thew brightness:
    Fixes a bug that caused the driver to not work anymore
    on certain models including the MacBookPro 5,* (LP: #538326)

 -- Mario Schwalbe <schwalbe@inf.tu-dresden.de>  Mon, 15 Mar 2010 22:24:39 +0100

nvidia-bl-dkms (0.16.2~karmic) karmic; urgency=low

  [ Mario Schwalbe ]
  * Added more verbose output if using debug=1 in order to
    find the bug on MacBookPro 5,*



=== debian/control ===
Source: nvidia-bl-dkms
Section: misc
Priority: optional
Maintainer: Mario Schwalbe <schwalbe@inf.tu-dresden.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: nvidia-bl-dkms
Architecture: all
Depends: dkms (>= 1.95), bash (>> 1.99)
Description: Supplementary Nvidia laptop display backlight support
 This driver drives the smartdimmer register found on modern mobile
 Nvidia graphics adapters such as NV40, NV41, NV43, NV44, NV46, NV47,
 NV49, NV4B, C51, G84, G86, G92, G94, G96, GT200 architectures to adjust
 the display backlight.
 .
 On Apple machines this driver allows more fine-grained brightness
 adjustment than the mbp-nvidia-bl-dkms (mbp_nvidia_bl) driver and is
 generally preferred.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NAME=nvidia-bl
MODULE_NAME=nvidia_bl
VERSION=0.17.3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(NAME)-dkms NAME=$(MODULE_NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
